/*
 * Copyright (C) 2003-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.bebop;

import org.apache.log4j.Logger;

/**
 * @author Justin Ross
 * @see com.arsdigita.bebop.BebopConfig
 */
public final class Bebop {
    public static final String versionId =
        "$Id: //core-platform/dev/src/com/arsdigita/bebop/Bebop.java#6 $" +
        "$Author: dennis $" +
        "$DateTime: 2004/04/07 16:07:11 $";

    private static final Logger s_log = Logger.getLogger(Bebop.class);

    private static final BebopConfig s_config = new BebopConfig();

    static {
        s_config.load("ccm-core/bebop.properties");
    }

    /**
     * Gets the <code>BebopConfig</code> object.
     */
    public static final BebopConfig getConfig() {
        return s_config;
    }
}
